#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-8Q5rQGgtwop2oo8yQ48uax
key:                  hOpenPGP-2.9.7-8Q5rQGgtwop2oo8yQ48uax
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  869cf62e3e9329dea3b78002f6adac01
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.7-8Q5rQGgtwop2oo8yQ48uax
depends:
    aeson-1.5.6.0-C19GJXDSM92LJPi4EK7PL5
    asn1-encoding-0.9.6-DOm00CwgbfqAXNBJi96TJH
    attoparsec-0.14.4-3b5hJmAVxMZ2YoY0FeNqg3 base-4.15.1.0
    base16-bytestring-1.0.2.0-Fy7mwMc7CDZF76J1iQM2vV
    bifunctors-5.5.11-CvFScljLngsKw7vxevj7Ce binary-0.8.8.0
    binary-conduit-1.3.1-1abnO3KWbR1747MjM39Kcx bytestring-0.10.12.1
    bz2-1.0.1.0-AER9f0rO50KDyYDdtG5eyk
    conduit-1.3.4.2-IK0V1TI53DtCDvoLXpaAyH
    conduit-extra-1.3.5-IlyjVF9j0akA8WUjNAKYWf containers-0.6.4.1
    crypto-cipher-types-0.0.9-Eb32mKWiXi08hJgQY526gG
    cryptonite-0.30-3glVgFBweYyLIhWNiCMStp
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.1-4LYnLqhVCzaKURVgzlvekc
    incremental-parser-0.5.0.3-83hHp8azUHJJJWo37rEFns
    ixset-typed-0.5-8vPHOF4Nt6x31UVL5yBzAy
    lens-5.1-2cWIhlxLzByLr1tTxyw8I1
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-2cnZ9iKtm0MDdR0VmkRbCB
    network-uri-2.6.4.1-4xrPI2Tj8np6ivptg0MZK4
    openpgp-asciiarmor-0.1.2-Jg6ifhIwgSN1vkpDf9uUte
    prettyprinter-1.7.1-IzrzSehbSN25aj81ZKvML9
    resourcet-1.2.4.3-G64JY14korRHLD6U5EyRCs
    split-0.2.3.4-74ASsWBLHJ87vsjlU5kSnD text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-5g7cvfJKetKCmnCFTnDbJb
    zlib-0.6.2.3-E6lRrbJblnzCdT9QqWCCQ

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

